import java.sql.*;

public class MysqlVerbindung {
    public static void main (String[] args) {
        Connection conn = null;
        String driver = "org.apache.derby.jdbc.EmbeddedDriver";

        try {
            Class.forName(driver);

            String protocol = "jdbc:derby:";
            conn = DriverManager.getConnection(protocol + "meineDatenbank;create=true");

            Statement statement = conn.createStatement();
            String sql = "SELECT * FROM Personen";
            ResultSet ergebnis = statement.executeQuery(sql);

            while (ergebnis.next()) {
                System.out.println(ergebnis.getString("Vorname"));
                System.out.println(ergebnis.getString("Nachname"));
                System.out.println(ergebnis.getString("Strasse"));
                System.out.println(ergebnis.getInt("Hausnummer"));
                System.out.println(ergebnis.getString("PLZ"));
                System.out.println(ergebnis.getString("Ort"));
                System.out.println("---");
            }
        } catch (SQLException | ClassNotFoundException e) {
            e.printStackTrace();
        }
    }
}
