public class Adresse {
    private String strasse;
    private int hausnummer;
    private String plz;
    private String ort;

    public Adresse(String strasse, int hausnummer, String plz, String ort){
        this.strasse = strasse;
        this.hausnummer = hausnummer;
        this.plz = plz;
        this.ort = ort;
    }

    public String getStrasse() {
        return strasse;
    }

    public void setStrasse(String strasse) {
        this.strasse = strasse;
    }

    public int getHausnummer() {
        return hausnummer;
    }

    public void setHausnummer(int hausnummer) {
        if(hausnummer >= 0) {
            this.hausnummer = hausnummer;
        }
        else{
            this.hausnummer = 0;
        }

    }

    public String getPlz() {
        return plz;
    }

    public void setPlz(String plz) {
        this.plz = plz;
    }

    public String getOrt() {
        return ort;
    }

    public void setOrt(String ort) {
        this.ort = ort;
    }
}
