import java.sql.*;

public class MysqlVerbindung {
    public static void main (String[] args) {
        Connection conn = null;
        String driver = "org.apache.derby.jdbc.EmbeddedDriver";

        try {
            Class.forName(driver);

            String protocol = "jdbc:derby:";
            conn = DriverManager.getConnection(protocol + "meineDatenbank;create=true");

            Statement statement = conn.createStatement();
            String sql = "CREATE TABLE Personen (Vorname VARCHAR(255), Nachname VARCHAR(255), Strasse VARCHAR(255), Hausnummer INT, PLZ VARCHAR(255), Ort VARCHAR(255))";
            statement.execute(sql);
        } catch (SQLException | ClassNotFoundException e) {
            e.printStackTrace();
        }
    }
}
