import org.restlet.Component;
import org.restlet.data.Protocol;
import org.restlet.resource.ServerResource;
import org.restlet.routing.Router;

public class RESTSchnittstelle extends ServerResource {
    public static void main(String[] args) {
        final Component component = new Component();
        component.getServers().add(Protocol.HTTP, 80);

        final Router router = new Router(component.getContext().createChildContext());
        router.attach("/", new StartseitenHandler());
        router.attach("/person", new PersonHandler());
        router.attach("/person/{id}", new PersonHandler());
        component.getDefaultHost().attach(router);


        try {
            component.start();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
